{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1>Notes</h1>
            </div>
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
            {% for note in pagination %}
                <div class="col-md-3">
                    <div class="card mt-5">
                        <div class="card-body ">
                            <h5 class="card-title">{{ note.title }}</h5>
                            <p class="card-text">{{ note.text }}</p>
                            <a href='{{ path('note_delete', {note: note.id}) }}' class="btn btn-danger">Supprimer</a>
                            <a href='{{ path('note_show', {note: note.id}) }}' class="btn btn-primary">Voir Note</a>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}
